Skip to main content
POST
/
api
/
narration
/
qa-audio
Generate Q&A prompt audio
curl --request POST \
  --url https://app.demand-iq.com/api/narration/qa-audio \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "text": "<string>",
  "voiceId": "<string>"
}
'
{
  "audioUrl": "<string>",
  "wordTimings": [
    {
      "word": "<string>",
      "startTime": 123,
      "endTime": 123
    }
  ]
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Body

application/json
deckId
string<uuid>
required
type
enum<string>
required

Which Q&A prompt to generate audio for

Available options:
resume,
transition
text
string
required

The prompt text to synthesize

voiceId
string

ElevenLabs voice ID (uses deck default if omitted)

Response

Audio generated and stored

audioUrl
string

Presigned URL for the generated audio

wordTimings
object[]